import type { components } from '@octokit/openapi-types'
import type { OctokitResponse } from '@octokit/types'
type PullsCreateResponseData = components['schemas']['pull-request']
type GitHubRepoInfo = {
  owner: string
  repo: string
}
export declare function getOctokitGraphql(): import(
  '@octokit/graphql/types'
).graphql
export declare function doesPullRequestExistForBranch(
  owner: string,
  repo: string,
  branch: string
): Promise<boolean>
export declare function enableAutoMerge({
  node_id: prId,
  number: prNumber
}: PullsCreateResponseData): Promise<boolean>
export declare function getGitHubEnvRepoInfo(): GitHubRepoInfo
export type OpenGitHubPullRequestOptions = {
  cwd?: string | undefined
  workspaceName?: string | undefined
}
export declare function openGitHubPullRequest(
  owner: string,
  repo: string,
  baseBranch: string,
  branch: string,
  purl: string,
  newVersion: string,
  options?: OpenGitHubPullRequestOptions | undefined
): Promise<OctokitResponse<PullsCreateResponseData> | null>
export {}
//# sourceMappingURL=open-pr.d.mts.map
