import type {
  AlertIncludeFilter,
  AlertsByPkgId
} from './socket-package-alert.mts'
import type { SafeArborist } from '../shadow/npm/arborist/lib/arborist/index.mts'
import type { LockfileObject } from '@pnpm/lockfile.fs'
import type { Spinner } from '@socketsecurity/registry/lib/spinner'
export type GetAlertsMapFromArboristOptions = {
  consolidate?: boolean | undefined
  include?: AlertIncludeFilter | undefined
  nothrow?: boolean | undefined
  spinner?: Spinner | undefined
}
export declare function getAlertsMapFromArborist(
  arb: SafeArborist,
  options_?: GetAlertsMapFromArboristOptions | undefined
): Promise<AlertsByPkgId>
export type GetAlertsMapFromPnpmLockfileOptions = {
  consolidate?: boolean | undefined
  include?: AlertIncludeFilter | undefined
  overrides?:
    | {
        [key: string]: string
      }
    | undefined
  nothrow?: boolean | undefined
  spinner?: Spinner | undefined
}
export declare function getAlertsMapFromPnpmLockfile(
  lockfile: LockfileObject,
  options_?: GetAlertsMapFromPnpmLockfileOptions | undefined
): Promise<AlertsByPkgId>
export type GetAlertsMapFromPurlsOptions = {
  consolidate?: boolean | undefined
  include?: AlertIncludeFilter | undefined
  limit?: number | undefined
  overrides?:
    | {
        [key: string]: string
      }
    | undefined
  nothrow?: boolean | undefined
  spinner?: Spinner | undefined
}
export declare function getAlertsMapFromPurls(
  purls: string[] | readonly string[],
  options_?: GetAlertsMapFromPurlsOptions | undefined
): Promise<AlertsByPkgId>
//# sourceMappingURL=alerts-map.d.mts.map
