import type { CResult } from '../types.mts'
import type {
  SocketSdkErrorType,
  SocketSdkOperations
} from '@socketsecurity/sdk'
export declare function handleUnsuccessfulApiResponse<
  T extends SocketSdkOperations
>(_name: T, { cause, error, status }: SocketSdkErrorType<T>): never
export declare function handleFailedApiResponse<T extends SocketSdkOperations>(
  _name: T,
  { cause, error }: SocketSdkErrorType<T>
): CResult<never>
export declare function handleApiCall<T>(
  value: T,
  description: string
): Promise<T>
export declare function handleApiError(code: number): Promise<string>
export declare function getLastFiveOfApiToken(token: string): string
export declare function getDefaultApiBaseUrl(): string | undefined
export declare function queryApi(
  path: string,
  apiToken: string
): Promise<Response>
//# sourceMappingURL=api.d.mts.map
