import { fetchPackagePackument } from '@socketsecurity/registry/lib/packages'
import type { RangeStyle } from './semver.mts'
import type { Diff } from '../shadow/npm/arborist/lib/arborist/types.mts'
import type { SafeNode } from '../shadow/npm/arborist/lib/node.mts'
import type { EditablePackageJson } from '@socketsecurity/registry/lib/packages'
export declare function findBestPatchVersion(
  node: SafeNode,
  availableVersions: string[],
  vulnerableVersionRange?: string,
  _firstPatchedVersionIdentifier?: string | undefined
): string | null
export declare function findPackageNode(
  tree: SafeNode,
  name: string,
  version?: string | undefined
): SafeNode | undefined
export declare function findPackageNodes(
  tree: SafeNode,
  name: string,
  version?: string | undefined
): SafeNode[]
export type DiffQueryIncludeFilter = {
  unchanged?: boolean | undefined
  unknownOrigin?: boolean | undefined
}
export type DiffQueryOptions = {
  include?: DiffQueryIncludeFilter | undefined
}
export type PackageDetail = {
  node: SafeNode
  existing?: SafeNode | undefined
}
export declare function getDetailsFromDiff(
  diff_: Diff | null,
  options?: DiffQueryOptions | undefined
): PackageDetail[]
export declare function isTopLevel(tree: SafeNode, node: SafeNode): boolean
export type Packument = Exclude<
  Awaited<ReturnType<typeof fetchPackagePackument>>,
  null
>
export declare function updateNode(
  node: SafeNode,
  newVersion: string,
  newVersionPackument: Packument['versions'][number]
): void
export declare function updatePackageJsonFromNode(
  editablePkgJson: EditablePackageJson,
  tree: SafeNode,
  node: SafeNode,
  newVersion: string,
  rangeStyle?: RangeStyle | undefined
): boolean
//# sourceMappingURL=arborist-helpers.d.mts.map
